/***********************************************************************

                       CSA Library, Free Evaluation Version 2.2.0 
                                           Release: June 9th 1997 

       Defining the csTIME class.

                                           Copyright(c) 1994-1997 
                                                          ComBits 
                                                  The Netherlands 
***********************************************************************/

#ifndef __CSTIME_H
#define __CSTIME_H

#include "time.h"
#include "cstypes.h"

class csTIME
{
private:

  int hour;
  int min;
  int sec;
  int hund;

public:
  csTIME(void);

  void now(void);

  int  hours(void )      { return hour; }
  int  minutes(void )    { return min; }
  int  seconds(void )    { return sec; }
  int  hunderdths(void ) { return hund; }

  void  hours(int      i) { hour=i; }
  void  minutes(int    i) { min=i;  }
  void  seconds(int    i) { sec=i;  }
  void  hunderdths(int i) { hund=i; }

  long cs_time(void);
  void cs_time(long t);

  csCHAR *asc_time(void);
  operator char*()        { return asc_time(); }


};

#endif
